Subject: RE: [Diffserv] Comments on draft-ietf-diffserv-vw-pdb

From: Jon Bennett <[email-masked]>
Date: Wed, 26 Jul 2000 15:59:57 -0400

>The IETF goal is to specify standards that can be validated solely
> by interoperability tests. 
 
Interoperability alone can not validate a standard, just because two
implementations interoperate does not prove that they are correct, merely
that if broken they are broken in an interoperable way. 

> RFC 2474 states:
> 
> >The behavioral characteristics of a PHB are to be standardized, and
> >not the particular algorithms or the mechanisms used to implement
> >them. 
> 
> In other words we have no business in any PHB definition attempting
> to define scheduling algorithms as part of the normative text, and
> certainly no business attempting to define conformance criteria
> with such algorithms. 

I was not aware of anyone suggesting that we standardize a particular
algorithm, it is certainly the case that EF-charny makes no attempt to
standardize an scheduling algorithms, it simply shows the properties of a
number of algorithms under the *definition* it seeks to standardize, in
exactly the same way that such examples are given in RFC 2598.

jon

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: Grenville Armitage <[email-masked]>
Date: Wed, 26 Jul 2000 14:26:11 -0700

> that if broken they are broken in an interoperable way.

For a long time it hasn't been important for an IETF standard to
be validated for strict correctness, only that its publication provides
sufficiently clear text for developers to build interoperable
equipment. It would appear that in the IETF context a standard *is*
validated simply by proving interoperable implementations can be
built from it. Build, solve a problem well enough, move on. As
Brian said, a clear philosophical difference, and perhaps one at
the root of your disagreement?

cheers,
gja